Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit.calculatecolumn
Class IDFunction

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.edit.calculatecolumn.IDFunction

All Implemented Interfaces:
  org.nfunk.jep.function.PostfixMathCommandI

    public abstract class IDFunction

extends Object
implements org.nfunk.jep.function.PostfixMathCommandI

Since:
  2.0.24
Author:
  Ben Stöver

Field Summary
`private int` | `curNumberOfParameters`

Constructor Summary
`IDFunction()`

Method Summary
`boolean` | `checkNumberOfParameters(int n)`
`static Double` | `codeBoolean(boolean value)`
`int` | `getNumberOfParameters()`
`abstract Object` | `getValue(NodeBranchDataAdapter id)`
`abstract Object` | `getValue(String id)`
`void` | `run(Stack stack)`
`void` | `setCurNumberOfParameters(int n)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### curNumberOfParameters

    private int curNumberOfParameters

Constructor Detail

### IDFunction

    public IDFunction()

Method Detail

### codeBoolean

    public static Double codeBoolean(boolean value)

### checkNumberOfParameters

    public boolean checkNumberOfParameters(int n)

  Specified by:
    `checkNumberOfParameters` in interface `org.nfunk.jep.function.PostfixMathCommandI`

### getNumberOfParameters

    public int getNumberOfParameters()

  Specified by:
    `getNumberOfParameters` in interface `org.nfunk.jep.function.PostfixMathCommandI`

### setCurNumberOfParameters

    public void setCurNumberOfParameters(int n)

  Specified by:
    `setCurNumberOfParameters` in interface `org.nfunk.jep.function.PostfixMathCommandI`

### run

    public void run(Stack stack)
             throws org.nfunk.jep.ParseException

  Specified by:
    `run` in interface `org.nfunk.jep.function.PostfixMathCommandI`
  Throws:
    `org.nfunk.jep.ParseException`

### getValue

    public abstract Object getValue(String id)
                             throws org.nfunk.jep.ParseException

  Throws:
    `org.nfunk.jep.ParseException`

### getValue

    public abstract Object getValue(NodeBranchDataAdapter id)
                             throws org.nfunk.jep.ParseException

  Throws:
    `org.nfunk.jep.ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD